## gh 1.2.1

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.2.1
Authors@R: 
    c(person(given = "Gábor",
             family = "Csárdi",
             role = c("cre", "ctb"),
             email = "csardi.gabor@gmail.com"),
      person(given = "Jennifer",
             family = "Bryan",
             role = "aut"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Imports: cli (>= 2.0.1), gitcreds, httr (>= 1.2), ini, jsonlite
Suggests: covr, knitr, rmarkdown, rprojroot, spelling, testthat (>=
        2.3.2), withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.1.9001
NeedsCompilation: no
Packaged: 2021-04-01 20:19:00 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-01 21:10:02 UTC

## gh 1.3.1

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.3.1
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("cre", "ctb")),
    person("Jennifer", "Bryan", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.0.1), gitcreds, httr (>= 1.2), ini, jsonlite
Suggests: covr, knitr, mockery, rmarkdown, rprojroot, spelling,
        testthat (>= 3.0.0), withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.1.9000
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: no
Packaged: 2022-09-08 11:17:00 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-08 11:42:55 UTC

## gh 2.4.0%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := script
export DH_GOLANG_INSTALL_ALL := 1

DATE_FMT = %Y-%m-%d
ifdef SOURCE_DATE_EPOCH
  BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
  BUILD_DATE ?= $(shell date -u "+$(DATE_FMT)")
endif

DEBIAN_VERSION := $(shell dpkg-parsechangelog --show-field Version)
BUILD_VERSION := $(shell echo "$(DEBIAN_VERSION)" | sed 's/-.*//')
VENDOR := $(shell . /etc/os-release; echo $$ID | sed 's/^./\u&/')
BUILD_DATE += $(VENDOR) $(DEBIAN_VERSION)

LDFLAGS := -ldflags \
	'-X "github.com/cli/cli/v2/internal/build.Date=$(BUILD_DATE)" \
	 -X "github.com/cli/cli/v2/internal/build.Version=$(BUILD_VERSION)"'

all:
	@echo $(LDFLAGS)
%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_configure:
	mkdir -p _build/src/golang.org/x
	ln -s $(CURDIR)/debian/go/src/github.com/cli/crypto _build/src/golang.org/x/crypto

override_dh_auto_build:
	@command -V go
	@go version
	dh_auto_build -- $(LDFLAGS)
	_build/bin/gh --version
	mkdir -p _build/completion/bash _build/completion/zsh
	_build/bin/gh completion -s bash > _build/completion/bash/gh
	_build/bin/gh completion -s zsh > _build/completion/zsh/_gh
	_build/bin/gen-docs --man-page --doc-path _build/share/man/man1/
	$(RM) _build/bin/gen-docs

override_dh_auto_install:
	dh_auto_install -- --no-source

## gh 2.4.0+dfsg1

=== debian/changelog ===
gh (2.4.0+dfsg1-4) unstable; urgency=medium

  * Revert "Add diversion for /usr/bin/gh to allow concurrent install
    with gitsome", and restore the versioned Conflicts with gitsome.
    Thanks to Antoine Beaupré for talking some sense into me especially
    this case is not like moreutils and parallel. (Closes: #1011545)

 -- Anthony Fok <foka@debian.org>  Wed, 01 Jun 2022 16:55:59 -0600

gh (2.4.0+dfsg1-3) unstable; urgency=medium

  * Limit "Conflicts: gitsome" to older (<< 0.8.0+ds-7.1) versions.
    Thanks to Antoine Beaupre for the suggestion, and for resolving the
    file conflict with gitsome (#1005858) so amicably! (Closes: #1011545)
  * Change default editor from nano to /usr/bin/editor as per Debian Policy
    §11.4. Thanks to Jakub Wilk for the bug report. (Closes: #1008761)
  * Rename "Build-Using" field to "Static-Build-Using" in debian/control
  * Add diversion for /usr/bin/gh to allow concurrent install with gitsome
    and remove Conflicts with gitsome. This is inspired by the conflict
    resolution between the moreutils and parallel packages where both
    contain /usr/bin/parallel.  See discussions in #749355.

 -- Anthony Fok <foka@debian.org>  Tue, 31 May 2022 01:58:33 -0600

gh (2.4.0+dfsg1-2) unstable; urgency=medium

  * Add "Conflicts: gitsome" which also provides /usr/bin/gh.
    Thanks to Axel Beckert for the bug report. (Closes: #1005858)
  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Wed, 23 Mar 2022 04:10:32 -0600

gh (2.4.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #951374)
  * Remove script/signtool.exe from source tarball.
    SignTool from Windows SDK is not open-source software, see
    https://docs.microsoft.com/en-us/windows/win32/seccrypto/signtool
    Thanks to Thorsten Alteholz for the advice regarding signtool.exe
  * Adjust debian/watch to add +dfsg1 suffix,
    to skip upstream's v9.9.9-test and pre-releases,
    and to fetch all past tags from api.github.com

 -- Anthony Fok <foka@debian.org>  Tue, 15 Feb 2022 00:56:31 -0700

gh (2.4.0-1) UNRELEASED; urgency=medium

  * Initial pre-release

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jan 2022 13:07:01 -0700

=== debian/control ===
Source: gh
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-golang,
               git,
               golang-any,
               golang-github-alecaivazis-survey-dev (>= 2.3.2),
               golang-github-briandowns-spinner-dev (>= 1.18.0),
               golang-github-charmbracelet-glamour-dev (>= 0.3.0),
               golang-github-cli-browser-dev (>= 1.1.0),
               golang-github-cli-oauth-dev (>= 0.9.0),
               golang-github-cli-safeexec-dev (>= 1.0.0),
               golang-github-cli-shurcool-graphql-dev (>= 0.0.1),
               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.1),
               golang-github-creack-pty-dev (>= 1.1.17),
               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.0),
               golang-github-google-go-cmp-dev (>= 0.5.6),
               golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
               golang-github-gorilla-websocket-dev (>= 1.4.2),
               golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
               golang-github-hashicorp-go-version-dev (>= 1.3.0),
               golang-github-henvic-httpretty-dev (>= 0.0.6),
               golang-github-itchyny-gojq-dev (>= 0.12.6),
               golang-github-joho-godotenv-dev (>= 1.4.0),
               golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
               golang-github-makenowjust-heredoc-dev (>= 1.0.0),
               golang-github-mattn-go-colorable-dev (>= 0.1.12),
               golang-github-mattn-go-isatty-dev (>= 0.0.14),
               golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
               golang-github-muesli-reflow-dev (>= 0.2.0+git20210502.c80126e),
               golang-github-muesli-termenv-dev (>= 0.9.0),
               golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
               golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
               golang-github-shurcool-githubv4-dev (>= 0.0~git20200928.d292edc),
               golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
               golang-github-spf13-cobra-dev (>= 1.3.0),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.7.0),
               golang-golang-x-crypto-dev (>= 1:0.0~git20210817.32db794),
               golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
               golang-golang-x-term-dev (>= 0.0~git20210503.a79de54),
               golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107.496545a),
               openssh-client,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gh
Vcs-Git: https://salsa.debian.org/go-team/packages/gh.git
Homepage: https://cli.github.com/
XS-Go-Import-Path: github.com/cli/cli/v2

Package: gh
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gitsome (<< 0.8.0+ds-7.1)
Static-Built-Using: ${misc:Static-Built-Using}
Description: GitHub CLI, GitHub’s official command line tool
 GitHub CLI "gh" is GitHub on the command line.  It brings pull requests,
 issues, and other GitHub concepts to the terminal next to where you are
 already working with git and your code.
 .
 GitHub CLI is available for repositories hosted on GitHub.com and GitHub
 Enterprise Server 2.20+, and to install on macOS, Windows, and Linux.
 .
 Comparison with hub:
 .
 For many years, hub (https://github.com/github/hub) was the unofficial
 GitHub CLI tool.  gh is a new project that helps us explore what an
 official GitHub CLI tool can look like with a fundamentally different
 design.  While both tools bring GitHub to the terminal, hub behaves as a
 proxy to git, and gh is a standalone tool.  Check out the more detailed
 explanation at https://github.com/cli/cli/blob/trunk/docs/gh-vs-hub.md
 to learn more.

## gh 2.12.1+dfsg1

=== debian/changelog ===
gh (2.12.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.12.1+dfsg1
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jun 2022 06:58:09 -0600

gh (2.11.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.11.3+dfsg1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 07:57:15 -0600

=== debian/control ===
--- 
+++ 
@@ -9,45 +9,49 @@
                dh-sequence-golang,
                git,
                golang-any,
-               golang-github-alecaivazis-survey-dev (>= 2.3.2),
-               golang-github-briandowns-spinner-dev (>= 1.18.0),
-               golang-github-charmbracelet-glamour-dev (>= 0.3.0),
+               golang-github-alecaivazis-survey-dev (>= 2.3.5),
+               golang-github-briandowns-spinner-dev (>= 1.18.1),
+               golang-github-charmbracelet-glamour-dev (>= 0.4.0),
+               golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
                golang-github-cli-browser-dev (>= 1.1.0),
+               golang-github-cli-go-gh-dev (>= 0.0.3+git20220601.9dbbfe2),
                golang-github-cli-oauth-dev (>= 0.9.0),
                golang-github-cli-safeexec-dev (>= 1.0.0),
                golang-github-cli-shurcool-graphql-dev (>= 0.0.1),
-               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.1),
-               golang-github-creack-pty-dev (>= 1.1.17),
+               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
+               golang-github-creack-pty-dev (>= 1.1.18),
                golang-github-gabriel-vasile-mimetype-dev (>= 1.4.0),
-               golang-github-google-go-cmp-dev (>= 0.5.6),
+               golang-github-google-go-cmp-dev (>= 0.5.8),
                golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
                golang-github-gorilla-websocket-dev (>= 1.4.2),
                golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
                golang-github-hashicorp-go-version-dev (>= 1.3.0),
                golang-github-henvic-httpretty-dev (>= 0.0.6),
-               golang-github-itchyny-gojq-dev (>= 0.12.6),
+               golang-github-itchyny-gojq-dev (>= 0.12.8),
                golang-github-joho-godotenv-dev (>= 1.4.0),
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.12),
                golang-github-mattn-go-isatty-dev (>= 0.0.14),
                golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
-               golang-github-muesli-reflow-dev (>= 0.2.0+git20210502.c80126e),
-               golang-github-muesli-termenv-dev (>= 0.9.0),
+               golang-github-muesli-reflow-dev (>= 0.3.0),
+               golang-github-muesli-termenv-dev (>= 0.11.0+git20220204-5ac8409),
                golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
                golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
                golang-github-shurcool-githubv4-dev (>= 0.0~git20200928.d292edc),
                golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
-               golang-github-spf13-cobra-dev (>= 1.3.0),
+               golang-github-spf13-cobra-dev (>= 1.4.0),
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-stretchr-testify-dev (>= 1.7.0),
+               golang-github-stretchr-testify-dev (>= 1.7.2),
                golang-golang-x-crypto-dev (>= 1:0.0~git20210817.32db794),
                golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
-               golang-golang-x-term-dev (>= 0.0~git20210503.a79de54),
-               golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107.496545a),
+               golang-golang-x-sys-dev (>= 0.0~git20220520.bc2c85a),
+               golang-golang-x-term-dev (>= 0.0~git20210927.03fcf44),
+               golang-golang-x-text-dev (>= 0.3.7),
+               golang-gopkg-yaml.v3-dev (>= 3.0.1),
                openssh-client,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gh
 Vcs-Git: https://salsa.debian.org/go-team/packages/gh.git
 Homepage: https://cli.github.com/

## gh 2.14.2+dfsg1

=== debian/changelog ===
gh (2.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.14.2+dfsg1
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 18 Jul 2022 20:05:31 -0600

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
                golang-github-charmbracelet-glamour-dev (>= 0.4.0),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
                golang-github-cli-browser-dev (>= 1.1.0),
-               golang-github-cli-go-gh-dev (>= 0.0.3+git20220601.9dbbfe2),
+               golang-github-cli-go-gh-dev (>= 0.0.3+git20220623.91ca4ef),
                golang-github-cli-oauth-dev (>= 0.9.0),
                golang-github-cli-safeexec-dev (>= 1.0.0),
                golang-github-cli-shurcool-graphql-dev (>= 0.0.1),
                golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
                golang-github-creack-pty-dev (>= 1.1.18),
-               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.0),
+               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.1),
                golang-github-google-go-cmp-dev (>= 0.5.8),
                golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
                golang-github-gorilla-websocket-dev (>= 1.4.2),
@@ -42,7 +42,7 @@
                golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
                golang-github-spf13-cobra-dev (>= 1.4.0),
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-stretchr-testify-dev (>= 1.7.2),
+               golang-github-stretchr-testify-dev (>= 1.7.5),
                golang-golang-x-crypto-dev (>= 1:0.0~git20210817.32db794),
                golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
                golang-golang-x-sys-dev (>= 0.0~git20220520.bc2c85a),

## gh 2.14.4+dfsg1

=== debian/changelog ===
gh (2.14.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.14.4+dfsg1'
  * Update versioned dependency on golang-github-cli-go-gh-dev as per go.mod

 -- Anthony Fok <foka@debian.org>  Thu, 11 Aug 2022 19:05:26 -0600

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-charmbracelet-glamour-dev (>= 0.4.0),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
                golang-github-cli-browser-dev (>= 1.1.0),
-               golang-github-cli-go-gh-dev (>= 0.0.3+git20220623.91ca4ef),
+               golang-github-cli-go-gh-dev (>= 0.1.0),
                golang-github-cli-oauth-dev (>= 0.9.0),
                golang-github-cli-safeexec-dev (>= 1.0.0),
                golang-github-cli-shurcool-graphql-dev (>= 0.0.1),

## gh 2.18.1+dfsg1

=== debian/changelog ===
gh (2.18.1+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 25 Oct 2022 05:35:37 -0600

gh (2.18.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.18.1+dfsg1
  * Update versioned dependencies as per go.mod (as much as possible)
  * Add temporary local copy of google.golang.org/grpc v1.49.0
    and dependent github.com/golang/protobuf v1.5.2

 -- Anthony Fok <foka@debian.org>  Sat, 22 Oct 2022 06:57:00 -0600

gh (2.17.0+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-depend on dh-golang (>= 1.58~) to avoid dh_dwz errors

 -- Anthony Fok <foka@debian.org>  Wed, 12 Oct 2022 13:46:03 -0600

gh (2.17.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.17.0+dfsg1
  * Build-depend explicitly on golang-any (>= 2:1.18~) as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 04 Oct 2022 17:33:02 -0600

gh (2.16.1+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-depend explicitly on golang-any (>= 2:1.18~) as per go.mod
  * Build-depend on dh-golang (>= 1.58~) to avoid dh_dwz errors

 -- Anthony Fok <foka@debian.org>  Fri, 30 Sep 2022 09:33:20 -0600

gh (2.16.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.16.1+dfsg1
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 28 Sep 2022 07:49:05 -0600

gh (2.15.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.15.0+dfsg1
  * Bump dependency: golang-github-shurcool-githubv4-dev
    (>= 0.0~git20220115.a14260e)
  * Remove 0002-Bump-github.com-spf13-cobra-from-v1.4.0-to-v1.5.0.patch
    which has been applied upstream
  * debian/rules: Fix "gh version" changelogURL
    by removing +dfsg1 from build.Version in LDFLAGS

 -- Anthony Fok <foka@debian.org>  Tue, 06 Sep 2022 19:37:43 -0600

gh (2.14.7+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.14.7+dfsg1
  * Update versioned dependencies as per go.mod
  * Refresh 0001-set-defaultEditor-as-per-debian-policy.patch
  * Apply 0002-Bump-github.com-spf13-cobra-from-v1.4.0-to-v1.5.0.patch:
    Cobra v1.5.0 contains a fix for the zsh autocompletion #compdef line
    to only complete <command>, not _<command> the completion function itself,
    See https://github.com/cli/cli/pull/6196.  TestNewCmdCompletion for zsh,
    which checks that #compdef line, is updated accordingly.
    Fixes "FTBFS: FAIL: TestNewCmdCompletion/zsh_completion"
    with golang-github-spf13-cobra-dev (>= 1.5.0).
    Thanks to Shengjing Zhu for reporting the issue. (Closes: #1019137)

 -- Anthony Fok <foka@debian.org>  Mon, 05 Sep 2022 03:25:09 -0600

=== debian/control ===
--- 
+++ 
@@ -6,48 +6,47 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
+               dh-golang (>= 1.58~),
                dh-sequence-golang,
                git,
-               golang-any,
-               golang-github-alecaivazis-survey-dev (>= 2.3.5),
+               golang-any (>= 2:1.18~),
+               golang-github-alecaivazis-survey-dev (>= 2.3.6),
                golang-github-briandowns-spinner-dev (>= 1.18.1),
-               golang-github-charmbracelet-glamour-dev (>= 0.4.0),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
-               golang-github-cli-browser-dev (>= 1.1.0),
-               golang-github-cli-go-gh-dev (>= 0.1.0),
+               golang-github-cli-go-gh-dev (>= 0.1.2),
                golang-github-cli-oauth-dev (>= 0.9.0),
                golang-github-cli-safeexec-dev (>= 1.0.0),
-               golang-github-cli-shurcool-graphql-dev (>= 0.0.1),
                golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
                golang-github-creack-pty-dev (>= 1.1.18),
                golang-github-gabriel-vasile-mimetype-dev (>= 1.4.1),
-               golang-github-google-go-cmp-dev (>= 0.5.8),
+               golang-github-google-go-cmp-dev (>= 0.5.9),
                golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
                golang-github-gorilla-websocket-dev (>= 1.4.2),
                golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
                golang-github-hashicorp-go-version-dev (>= 1.3.0),
                golang-github-henvic-httpretty-dev (>= 0.0.6),
-               golang-github-itchyny-gojq-dev (>= 0.12.8),
                golang-github-joho-godotenv-dev (>= 1.4.0),
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
-               golang-github-mattn-go-colorable-dev (>= 0.1.12),
-               golang-github-mattn-go-isatty-dev (>= 0.0.14),
+               golang-github-mattn-go-colorable-dev (>= 0.1.13),
+               golang-github-mattn-go-isatty-dev (>= 0.0.16),
                golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
-               golang-github-muesli-reflow-dev (>= 0.3.0),
-               golang-github-muesli-termenv-dev (>= 0.11.0+git20220204-5ac8409),
+               golang-github-muesli-termenv-dev (>= 0.12.0),
                golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
                golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
-               golang-github-shurcool-githubv4-dev (>= 0.0~git20200928.d292edc),
+               golang-github-shurcool-githubv4-dev (>= 0.0~git20220520.0b4e329),
                golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
-               golang-github-spf13-cobra-dev (>= 1.4.0),
+               golang-github-spf13-cobra-dev (>= 1.5.0),
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-stretchr-testify-dev (>= 1.7.5),
                golang-golang-x-crypto-dev (>= 1:0.0~git20210817.32db794),
                golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
-               golang-golang-x-sys-dev (>= 0.0~git20220520.bc2c85a),
+               golang-golang-x-sys-dev (>= 0.0~git20220811.fbc7d0a),
                golang-golang-x-term-dev (>= 0.0~git20210927.03fcf44),
-               golang-golang-x-text-dev (>= 0.3.7),
+               golang-golang-x-text-dev (>= 0.3.8),
+               golang-google-genproto-dev,
+#              golang-google-grpc-dev (>= 1.49.0),
+               golang-google-protobuf-dev (>= 1.27.1),
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                openssh-client,
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 DEBIAN_VERSION := $(shell dpkg-parsechangelog --show-field Version)
-BUILD_VERSION := $(shell echo "$(DEBIAN_VERSION)" | sed 's/-.*//')
+BUILD_VERSION := $(shell echo "$(DEBIAN_VERSION)" | sed 's/\(+dfsg[0-9]*\)\?-.*//')
 VENDOR := $(shell . /etc/os-release; echo $$ID | sed 's/^./\u&/')
 BUILD_DATE += $(VENDOR) $(DEBIAN_VERSION)
 
@@ -27,6 +27,10 @@
 execute_before_dh_auto_configure:
 	mkdir -p _build/src/golang.org/x
 	ln -s $(CURDIR)/debian/go/src/github.com/cli/crypto _build/src/golang.org/x/crypto
+	mkdir -p _build/src/google.golang.org
+	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc _build/src/google.golang.org/grpc
+	mkdir -p _build/src/github.com/golang
+	ln -s $(CURDIR)/debian/go/src/github.com/golang/protobuf _build/src/github.com/golang/protobuf
 
 override_dh_auto_build:
 	@command -V go

## gh 2.22.0+dfsg1

=== debian/changelog ===
gh (2.22.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.22.0+dfsg1
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Set GITHUB_ACTIONS to true to skip flaky tests;
    see https://github.com/cli/cli/discussions/6858

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jan 2023 04:21:58 -0700

## gh 2.22.1+dfsg1

=== debian/changelog ===
gh (2.22.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.22.1+dfsg1

 -- Anthony Fok <foka@debian.org>  Wed, 01 Feb 2023 11:47:51 -0700

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
-               dh-golang (>= 1.58~),
                dh-sequence-golang,
                git,
-               golang-any (>= 2:1.18~),
+               golang-any (>= 2:1.19~),
                golang-github-alecaivazis-survey-dev (>= 2.3.6),
                golang-github-briandowns-spinner-dev (>= 1.18.1),
+               golang-github-cenkalti-backoff-dev (>= 4.1.3),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
-               golang-github-cli-go-gh-dev (>= 0.1.2),
-               golang-github-cli-oauth-dev (>= 0.9.0),
-               golang-github-cli-safeexec-dev (>= 1.0.0),
+               golang-github-cli-go-gh-dev (>= 1.0.0),
+               golang-github-cli-oauth-dev (>= 1.0.0),
+               golang-github-cli-safeexec-dev (>= 1.0.1),
                golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
                golang-github-creack-pty-dev (>= 1.1.18),
                golang-github-gabriel-vasile-mimetype-dev (>= 1.4.1),
+               golang-github-gdamore-tcell.v2-dev (>= 2.5.4),
                golang-github-google-go-cmp-dev (>= 0.5.9),
                golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
                golang-github-gorilla-websocket-dev (>= 1.4.2),
@@ -29,28 +30,27 @@
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.13),
-               golang-github-mattn-go-isatty-dev (>= 0.0.16),
+               golang-github-mattn-go-isatty-dev (>= 0.0.17),
                golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
-               golang-github-muesli-termenv-dev (>= 0.12.0),
                golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
                golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
+               golang-github-rivo-tview-dev (>= 0.0~git20221029.c4a7e50),
                golang-github-shurcool-githubv4-dev (>= 0.0~git20220520.0b4e329),
                golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
-               golang-github-spf13-cobra-dev (>= 1.5.0),
+               golang-github-spf13-cobra-dev (>= 1.6.1),
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-stretchr-testify-dev (>= 1.7.5),
-               golang-golang-x-crypto-dev (>= 1:0.0~git20210817.32db794),
-               golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
-               golang-golang-x-sys-dev (>= 0.0~git20220811.fbc7d0a),
+               golang-golang-x-crypto-dev (>= 1:0.0~git20210921.089bfa5),
+               golang-golang-x-sync-dev (>= 0.1.0),
                golang-golang-x-term-dev (>= 0.0~git20210927.03fcf44),
-               golang-golang-x-text-dev (>= 0.3.8),
+               golang-golang-x-text-dev (>= 0.5.0),
                golang-google-genproto-dev,
 #              golang-google-grpc-dev (>= 1.49.0),
                golang-google-protobuf-dev (>= 1.27.1),
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                openssh-client,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gh
 Vcs-Git: https://salsa.debian.org/go-team/packages/gh.git
 Homepage: https://cli.github.com/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DH_GOLANG_EXCLUDES := script
 export DH_GOLANG_INSTALL_ALL := 1
+
+# Skip flaky tests, see https://github.com/cli/cli/discussions/6858
+export GITHUB_ACTIONS := true
 
 DATE_FMT = %Y-%m-%d
 ifdef SOURCE_DATE_EPOCH

## gh 2.23.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-cenkalti-backoff-dev (>= 4.1.3),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
                golang-github-cli-go-gh-dev (>= 1.0.0),
-               golang-github-cli-oauth-dev (>= 1.0.0),
+               golang-github-cli-oauth-dev (>= 1.0.1),
                golang-github-cli-safeexec-dev (>= 1.0.1),
                golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
                golang-github-creack-pty-dev (>= 1.1.18),
@@ -25,8 +25,7 @@
                golang-github-gorilla-websocket-dev (>= 1.4.2),
                golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
                golang-github-hashicorp-go-version-dev (>= 1.3.0),
-               golang-github-henvic-httpretty-dev (>= 0.0.6),
-               golang-github-joho-godotenv-dev (>= 1.4.0),
+               golang-github-joho-godotenv-dev (>= 1.5.1),
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.13),

## gh 2.23.0+dfsg1

=== Makefile ===
CGO_CPPFLAGS ?= ${CPPFLAGS}
export CGO_CPPFLAGS
CGO_CFLAGS ?= ${CFLAGS}
export CGO_CFLAGS
CGO_LDFLAGS ?= $(filter -g -L% -l% -O%,${LDFLAGS})
export CGO_LDFLAGS

EXE =
ifeq ($(GOOS),windows)
EXE = .exe
endif

## The following tasks delegate to `script/build.go` so they can be run cross-platform.

.PHONY: bin/gh$(EXE)
bin/gh$(EXE): script/build
	@script/build $@

script/build: script/build.go
	GOOS= GOARCH= GOARM= GOFLAGS= CGO_ENABLED= go build -o $@ $<

.PHONY: clean
clean: script/build
	@script/build $@

.PHONY: manpages
manpages: script/build
	@script/build $@

# just a convenience task around `go test`
.PHONY: test
test:
	go test ./...

## Site-related tasks are exclusively intended for use by the GitHub CLI team and for our release automation.

site:
	git clone https://github.com/github/cli.github.com.git "$@"

.PHONY: site-docs
site-docs: site
	git -C site pull
	git -C site rm 'manual/gh*.md' 2>/dev/null || true
	go run ./cmd/gen-docs --website --doc-path site/manual
	rm -f site/manual/*.bak
	git -C site add 'manual/gh*.md'
	git -C site commit -m 'update help docs' || true

.PHONY: site-bump
site-bump: site-docs
ifndef GITHUB_REF
	$(error GITHUB_REF is not set)
endif
	sed -i.bak -E 's/(assign version = )".+"/\1"$(GITHUB_REF:refs/tags/v%=%)"/' site/index.html
	rm -f site/index.html.bak
	git -C site commit -m '$(GITHUB_REF:refs/tags/v%=%)' index.html

## Install/uninstall tasks are here for use on *nix platform. On Windows, there is no equivalent.

DESTDIR :=
prefix  := /usr/local
bindir  := ${prefix}/bin
mandir  := ${prefix}/share/man

.PHONY: install
install: bin/gh manpages
	install -d ${DESTDIR}${bindir}
	install -m755 bin/gh ${DESTDIR}${bindir}/
	install -d ${DESTDIR}${mandir}/man1
	install -m644 ./share/man/man1/* ${DESTDIR}${mandir}/man1/

.PHONY: uninstall
uninstall:
	rm -f ${DESTDIR}${bindir}/gh ${DESTDIR}${mandir}/man1/gh.1 ${DESTDIR}${mandir}/man1/gh-*.1

=== debian/changelog ===
gh (2.23.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.23.0+dfsg1
  * Bump build-dependencies according to go.mod:
    - golang-github-cli-oauth-dev (>= 1.0.1)
    - golang-github-joho-godotenv-dev (>= 1.5.1)
  * Replace github.com/henvic/httpretty with github.com/mislav/httpretty
    temporarily, as per go.mod, to "Avoid mangling response bodies of unknown
    length"; see https://github.com/henvic/httpretty/pull/17

 -- Anthony Fok <foka@debian.org>  Mon, 27 Feb 2023 12:41:45 -0700

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc _build/src/google.golang.org/grpc
 	mkdir -p _build/src/github.com/golang
 	ln -s $(CURDIR)/debian/go/src/github.com/golang/protobuf _build/src/github.com/golang/protobuf
+	mkdir -p _build/src/github.com/henvic
+	ln -s $(CURDIR)/debian/go/src/github.com/mislav/httpretty _build/src/github.com/henvic/httpretty
 
 override_dh_auto_build:
 	@command -V go

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, \
      pagemangle=s%\"tarball_url\":\s*(\".*?\")%<a href=$1>%g, \
      downloadurlmangle=s%api.github.com/repos/(.+?/.+?)/tarball/(.*/v?@ANY_VERSION@)$%github.com/$1/archive/$2.tar.gz%, \
      dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
    https://api.github.com/repos/cli/cli/tags \
    (?:.*?/)?v?[-_]?(\d[\-+\.:\~\d]*)

## gh 2.27.0+dfsg1

=== debian/changelog ===
gh (2.27.0+dfsg1-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:35:42 +0530

gh (2.27.0+dfsg1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:06 +1200

gh (2.27.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.27.0+dfsg1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jul 2023 11:57:20 -0600

gh (2.24.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.24.3+dfsg1
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jul 2023 11:20:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gh
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -11,14 +12,14 @@
                golang-any (>= 2:1.19~),
                golang-github-alecaivazis-survey-dev (>= 2.3.6),
                golang-github-briandowns-spinner-dev (>= 1.18.1),
-               golang-github-cenkalti-backoff-dev (>= 4.1.3),
+               golang-github-cenkalti-backoff-dev (>= 4.2.0),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
-               golang-github-cli-go-gh-dev (>= 1.0.0),
+               golang-github-cli-go-gh-dev (>= 1.2.1),
                golang-github-cli-oauth-dev (>= 1.0.1),
                golang-github-cli-safeexec-dev (>= 1.0.1),
                golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
                golang-github-creack-pty-dev (>= 1.1.18),
-               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.1),
+               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.2),
                golang-github-gdamore-tcell.v2-dev (>= 2.5.4),
                golang-github-google-go-cmp-dev (>= 0.5.9),
                golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
@@ -29,7 +30,7 @@
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.13),
-               golang-github-mattn-go-isatty-dev (>= 0.0.17),
+               golang-github-mattn-go-isatty-dev (>= 0.0.18),
                golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
                golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
                golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
@@ -39,10 +40,11 @@
                golang-github-spf13-cobra-dev (>= 1.6.1),
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-stretchr-testify-dev (>= 1.7.5),
+               golang-github-zalando-go-keyring-dev (>= 0.2.2),
                golang-golang-x-crypto-dev (>= 1:0.0~git20210921.089bfa5),
                golang-golang-x-sync-dev (>= 0.1.0),
-               golang-golang-x-term-dev (>= 0.0~git20210927.03fcf44),
-               golang-golang-x-text-dev (>= 0.5.0),
+               golang-golang-x-term-dev (>= 0.6.0),
+               golang-golang-x-text-dev (>= 0.8.0),
                golang-google-genproto-dev,
 #              golang-google-grpc-dev (>= 1.49.0),
                golang-google-protobuf-dev (>= 1.27.1),

## gh 2.35.0

=== debian/changelog ===
gh (2.35.0-1) unstable; urgency=medium

  * New upstream version 2.35.0
  * Bump versioned dependencies as per go.mod
  * Remove temporary local copy of github.com/mislav/httpretty.
    The proposed changes in the github.com/mislav/httpretty has been merged
    upstream; see https://github.com/cli/cli/pull/7654. This reverts
    "Replace github.com/henvic/httpretty with github.com/mislav/httpretty"
  * Bump local copy of google.golang.org/grpc from v1.49.0 to v1.53.0
  * Refresh 0002-go-md2man-fix.patch

 -- Anthony Fok <foka@debian.org>  Mon, 04 Dec 2023 05:09:29 -0700

gh (2.30.0-2) unstable; urgency=medium

  * Team Upload.
  * Backport upstream patch to fix FTBFS with
    new go-md2man (Closes: #1054767)
  * Update versioned B-D on md2man

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Oct 2023 02:58:01 +0530

gh (2.30.0-1) unstable; urgency=medium

  * New upstream version 2.30.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 03:30:04 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gh
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -10,14 +9,15 @@
                dh-sequence-golang,
                git,
                golang-any (>= 2:1.19~),
-               golang-github-alecaivazis-survey-dev (>= 2.3.6),
+               golang-github-alecaivazis-survey-dev (>= 2.3.7),
                golang-github-briandowns-spinner-dev (>= 1.18.1),
-               golang-github-cenkalti-backoff-dev (>= 4.2.0),
+               golang-github-cenkalti-backoff-dev (>= 4.2.1),
+               golang-github-charmbracelet-glamour-dev (>= 0.6.0),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
-               golang-github-cli-go-gh-dev (>= 1.2.1),
+               golang-github-cli-go-gh-v2-dev (>= 2.3.0),
                golang-github-cli-oauth-dev (>= 1.0.1),
                golang-github-cli-safeexec-dev (>= 1.0.1),
-               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.2),
+               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.3),
                golang-github-creack-pty-dev (>= 1.1.18),
                golang-github-gabriel-vasile-mimetype-dev (>= 1.4.2),
                golang-github-gdamore-tcell.v2-dev (>= 2.5.4),
@@ -26,28 +26,30 @@
                golang-github-gorilla-websocket-dev (>= 1.4.2),
                golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
                golang-github-hashicorp-go-version-dev (>= 1.3.0),
+               golang-github-henvic-httpretty-dev (>= 0.1.2),
                golang-github-joho-godotenv-dev (>= 1.5.1),
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.13),
-               golang-github-mattn-go-isatty-dev (>= 0.0.18),
+               golang-github-mattn-go-isatty-dev (>= 0.0.19),
                golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
                golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
                golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
                golang-github-rivo-tview-dev (>= 0.0~git20221029.c4a7e50),
-               golang-github-shurcool-githubv4-dev (>= 0.0~git20220520.0b4e329),
+               golang-github-shurcool-githubv4-dev (>= 0.0~git20230704.599ae7b),
                golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
                golang-github-spf13-cobra-dev (>= 1.6.1),
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-stretchr-testify-dev (>= 1.7.5),
-               golang-github-zalando-go-keyring-dev (>= 0.2.2),
-               golang-golang-x-crypto-dev (>= 1:0.0~git20210921.089bfa5),
+               golang-github-stretchr-testify-dev (>= 1.8.4),
+               golang-github-zalando-go-keyring-dev (>= 0.2.3),
+               golang-golang-x-crypto-dev (>= 1:0.12.0),
                golang-golang-x-sync-dev (>= 0.1.0),
-               golang-golang-x-term-dev (>= 0.6.0),
-               golang-golang-x-text-dev (>= 0.8.0),
+               golang-golang-x-term-dev (>= 0.11.0),
+               golang-golang-x-text-dev (>= 0.12.0),
                golang-google-genproto-dev,
-#              golang-google-grpc-dev (>= 1.49.0),
-               golang-google-protobuf-dev (>= 1.27.1),
+#              golang-google-grpc-dev (>= 1.53.0),
+               golang-google-protobuf-dev (>= 1.28.1),
+               golang-gopkg-h2non-gock.v1-dev (>= 1.1.2),
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                openssh-client,
 Testsuite: autopkgtest-pkg-go

## gh 2.40.1+dfsg1

=== debian/changelog ===
gh (2.40.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.40.1+dfsg1
  * Update versioned dependencies as per go.mod
  * Remove github.com/cli/crypto fork originally for "ssh: support RSA
    SHA-2 (RFC8332) signatures"; see https://github.com/cli/cli/pull/8204
  * Bump local copy of google.golang.org/grpc from v1.49.0 to v1.56.3
  * Remove local copy of google.golang.org/grpc v1.49.0 in favour of
    Debian golang-github-golang-protobuf-1-5-dev (>= 1.5.3) package
  * Remove previously backported upstream 0002-go-md2man-fix.patch

 -- Anthony Fok <foka@debian.org>  Wed, 27 Dec 2023 13:20:19 -0700

=== debian/control ===
--- 
+++ 
@@ -14,41 +14,44 @@
                golang-github-cenkalti-backoff-dev (>= 4.2.1),
                golang-github-charmbracelet-glamour-dev (>= 0.6.0),
                golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
-               golang-github-cli-go-gh-v2-dev (>= 2.3.0),
+               golang-github-cli-go-gh-v2-dev (>= 2.4.0+git20231120.d32c104),
                golang-github-cli-oauth-dev (>= 1.0.1),
                golang-github-cli-safeexec-dev (>= 1.0.1),
                golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.3),
-               golang-github-creack-pty-dev (>= 1.1.18),
-               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.2),
+               golang-github-creack-pty-dev (>= 1.1.21),
+               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.3),
                golang-github-gdamore-tcell.v2-dev (>= 2.5.4),
                golang-github-google-go-cmp-dev (>= 0.5.9),
                golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
                golang-github-gorilla-websocket-dev (>= 1.4.2),
                golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
                golang-github-hashicorp-go-version-dev (>= 1.3.0),
-               golang-github-henvic-httpretty-dev (>= 0.1.2),
+               golang-github-henvic-httpretty-dev (>= 0.1.3),
                golang-github-joho-godotenv-dev (>= 1.5.1),
                golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
                golang-github-makenowjust-heredoc-dev (>= 1.0.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.13),
-               golang-github-mattn-go-isatty-dev (>= 0.0.19),
+               golang-github-mattn-go-isatty-dev (>= 0.0.20),
                golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
+               golang-github-microsoft-dev-tunnels-dev (>= 0.0.25),
                golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
                golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
                golang-github-rivo-tview-dev (>= 0.0~git20221029.c4a7e50),
                golang-github-shurcool-githubv4-dev (>= 0.0~git20230704.599ae7b),
-               golang-github-sourcegraph-jsonrpc2-dev (>= 0.1.0),
                golang-github-spf13-cobra-dev (>= 1.6.1),
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-stretchr-testify-dev (>= 1.8.4),
                golang-github-zalando-go-keyring-dev (>= 0.2.3),
-               golang-golang-x-crypto-dev (>= 1:0.12.0),
+               golang-golang-x-crypto-dev (>= 1:0.14.0),
                golang-golang-x-sync-dev (>= 0.1.0),
-               golang-golang-x-term-dev (>= 0.11.0),
-               golang-golang-x-text-dev (>= 0.12.0),
+               golang-golang-x-term-dev (>= 0.13.0),
+               golang-golang-x-text-dev (>= 0.13.0),
+### begin google.golang.org/grpc (see debian/go/src) ###########
+#              golang-google-grpc-dev (>= 1.56.3),
+               golang-github-golang-protobuf-1-5-dev (>= 1.5.3),
                golang-google-genproto-dev,
-#              golang-google-grpc-dev (>= 1.53.0),
-               golang-google-protobuf-dev (>= 1.28.1),
+### end google.golang.org/grpc #################################
+               golang-google-protobuf-dev (>= 1.30.0),
                golang-gopkg-h2non-gock.v1-dev (>= 1.1.2),
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                openssh-client,
